curl --request PATCH \
--url https://data.us.algolia.com/1/tasks/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"trigger": {
"cron": "* * 1 * *"
},
"input": {
"mapping": {
"format": "mappingkit/v1",
"actions": [
{
"id": "lorem",
"enabled": true,
"trigger": "lorem",
"fieldDirectives": [
{
"fieldKey": "lorem",
"value": {}
}
]
}
]
}
},
"enabled": true,
"failureThreshold": 0
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.UpdateTaskV1Async(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new TaskUpdateV1 { Enabled = false }
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.updateTaskV1(
taskID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate: TaskUpdateV1(
enabled: false,
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.UpdateTaskV1(client.NewApiUpdateTaskV1Request(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptyTaskUpdateV1().SetEnabled(false)))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TaskUpdateResponse response = client.updateTaskV1("6c02aeb1-775e-418e-870b-1faccd4b2c0f", new TaskUpdateV1().setEnabled(false));
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.updateTaskV1({
taskID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
taskUpdate: { enabled: false },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.updateTaskV1(
taskID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate = TaskUpdateV1(enabled = false),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->updateTaskV1(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['enabled' => false,
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.update_task_v1(
task_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
task_update={
"enabled": False,
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.update_task_v1(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::TaskUpdateV1.new(enabled: false)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.updateTaskV1(
taskID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate = TaskUpdateV1(
enabled = Some(false)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.updateTaskV1(
taskID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate: TaskUpdateV1(enabled: false)
)
// print the response
print(response){
"taskID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"updatedAt": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}Update a task V1
Updates a task by its ID using the v1 endpoint.
curl --request PATCH \
--url https://data.us.algolia.com/1/tasks/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"trigger": {
"cron": "* * 1 * *"
},
"input": {
"mapping": {
"format": "mappingkit/v1",
"actions": [
{
"id": "lorem",
"enabled": true,
"trigger": "lorem",
"fieldDirectives": [
{
"fieldKey": "lorem",
"value": {}
}
]
}
]
}
},
"enabled": true,
"failureThreshold": 0
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.UpdateTaskV1Async(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
new TaskUpdateV1 { Enabled = false }
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.updateTaskV1(
taskID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate: TaskUpdateV1(
enabled: false,
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.UpdateTaskV1(client.NewApiUpdateTaskV1Request(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
ingestion.NewEmptyTaskUpdateV1().SetEnabled(false)))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TaskUpdateResponse response = client.updateTaskV1("6c02aeb1-775e-418e-870b-1faccd4b2c0f", new TaskUpdateV1().setEnabled(false));
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.updateTaskV1({
taskID: '6c02aeb1-775e-418e-870b-1faccd4b2c0f',
taskUpdate: { enabled: false },
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.updateTaskV1(
taskID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate = TaskUpdateV1(enabled = false),
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->updateTaskV1(
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
['enabled' => false,
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.update_task_v1(
task_id="6c02aeb1-775e-418e-870b-1faccd4b2c0f",
task_update={
"enabled": False,
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.update_task_v1(
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
Algolia::Ingestion::TaskUpdateV1.new(enabled: false)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.updateTaskV1(
taskID = "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate = TaskUpdateV1(
enabled = Some(false)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.updateTaskV1(
taskID: "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
taskUpdate: TaskUpdateV1(enabled: false)
)
// print the response
print(response){
"taskID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"updatedAt": "<string>"
}{
"message": "Invalid Application-Id or API-Key"
}updateTask instead.
Required ACL: addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique identifier of a task. Universally unique identifier (UUID) of a task.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Body
API request body for updating a task using the V1 shape. Use methods and types that don't contain the V1 suffix.
Universally unique identifier (UUID) of a destination resource.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Whether the task is enabled.
Maximum accepted percentage of failures for a task run to finish successfully.
0 <= x <= 100Configuration of the task, depending on its type.
- Streaming input
- Docker streams
- Shopify input
Show child attributes
Show child attributes
Trigger for a task update.
Show child attributes
Show child attributes
Was this page helpful?